
/* Listes et liens */
.list--bullet {
    margin: .25rem 0 0 1.25rem;
}

.list--bullet li {
    margin: .5rem 0;
}

.link {
    text-decoration: underline;
}

/* Backdrop modal */
.modal__backdrop {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, .45);
    backdrop-filter: blur(2px);
    z-index: 999;
}

.modal__backdrop.is-hidden {
    display: none;
}

/* Fenêtre modale Best Practices */
.best-practices-modal {
    height: 80%;
    width: 80%;
    background: white;
    padding: 1rem;
    border-radius: 10px;
    border: 2px solid grey;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    border: 2px solid blue;
}

.best-practices-modal__header {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    font-size: 2rem;
    margin-bottom: 3rem;
    color: blue;
}

.best-practices-modal__title {
    text-align: center;
    margin: 0;
}

.closeBestPracticesModalBtn {
    position: absolute;
    right: 0;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 1.5rem;
}

#bestPracticesModal-main {
    flex: 1;
    overflow-y: auto;
    padding: 1rem;
}

.best-practices-modal__section {
    margin-bottom: 2rem;
}

/* Retire le margin sur la dernière section */
.best-practices-modal__section:last-child {
    margin-bottom: 0;
}

/* ============================================================================================================== */

/* Fenêtre modale Help */

.help-modal {
    height: 80%;
    width: 80%;
    background: white;
    padding: 1rem;
    border-radius: 10px;
    border: 2px solid grey;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    border: 2px solid blue;
}

.help-modal__header {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    font-size: 2rem;
    margin-bottom: 3rem;
    color: blue;
}

.help-modal__title {
    text-align: center;
    margin: 0;
}

.help-modal__btn {
    position: absolute;
    right: 0;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 1.5rem;
}

#helpModal-main {
    flex: 1;
    overflow-y: auto;
    padding: 1rem;
}

.help-modal__section {
    margin-bottom: 2rem;
}

/* Retire le margin sur la dernière section */
.help-modal__section:last-child {
    margin-bottom: 0;
}